name: Open PR on Staging
on:
  pull_request:
    types: [opened, edited, synchronize]
    branches:
      - staging

jobs:
  audit_and_check:
    runs-on: ubuntu-latest

    steps:
      - name: Checkout
        uses: actions/checkout@v3

      - name: Setup Node
        uses: actions/setup-node@v2
        with:
          node-version: 18

      - name: Audit
        run: npm audit --omit=dev

      - name: Install Dependencies
        run: npm ci

      - name: License check
        run: npm run license-checker

      - name: Lint check
        run: npm run lint

      - name: Formatter check
        run: npm run formatter:check
